## org.eclipse.datatools.connectivity.oda.design.ui.wizards
Class NewDataSourceWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
              org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
                  org.eclipse.datatools.connectivity.oda.design.internal.ui.NewDataSourceWizardBase
                      org.eclipse.datatools.connectivity.oda.design.ui.wizards.NewDataSourceWizard

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension, org.eclipse.datatools.connectivity.internal.ui.wizards.IMediator, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, ICPWizard, org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewDataSourceWizard

extends org.eclipse.datatools.connectivity.oda.design.internal.ui.NewDataSourceWizardBase

The ODA data source wizard's public class that may be used directly or serves as the base class of the newWizard.class attribute defined in the `org.eclipse.datatools.connectivity.connectionProfile` extension point.
An ODA data source extension must also implement the `org.eclipse.datatools.connectivity.oda.design.ui.dataSource` extension point to provide its custom wizard page.
All inherited methods are internal API.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`NewConnectionProfileWizard.IFinishTask`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`NewDataSourceWizard()`
`NewDataSourceWizard(java.lang.String odaDataSourceId)`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.oda.design.internal.ui.NewDataSourceWizardBase
`addCustomPages, addPages, finishDataSourceDesign, getCustomStartingPage, getDataSourceDesign, getOdaDataSourceId, getOdaDesignerId, getProfileProperties, getResponseDesignerState, hasProfileNamePage, initOdaDesignSession, isInOdaDesignSession, isValid, performFinish, refreshPropertiesIfExist, setInitializationData, setLinkedProfile, setProfilePageProperties, unsetLinkedProfile`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`createPageControls, delegatesTask, getContext, getContextChangeMask, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfilePage, getProfileProviderID, getSearchExpression, getSummaryData, init, initProviderID, isFinished, isProfileNamePageSkippable, setParentProfile, setProfileDescription, setProfileName, setProfileNameAndDescription, setSkipProfileNamePage`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
`canFinish, getNextPage, getPreviousPage, getStartingPage, mediatePage`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewDataSourceWizard

    public NewDataSourceWizard(java.lang.String odaDataSourceId)
                        throws OdaException

Throws:
  `OdaException`

### NewDataSourceWizard

    public NewDataSourceWizard()